#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf esound-0.2.41.tar.bz2
    cd esound-0.2.41
    ./configure --prefix=/usr --sysconfdir=/etc --disable-shared --with-pic \
	    --with-libwrap --disable-alsa
    # FIXME: Install esd.h, libesd.[l]a, libesddsp.[l]a, esound.pc, esd.m4 to
    # /usr/local?
    # Wheezy: missing libaudiofile.a!
    make esd AUDIOFILE_LIBS='/usr/lib/libaudiofile.a -lm' LIBS=''
    strip -R .note -R .comment esd
    mkdir -p ../esd/sbin
    cp esd ../esd/sbin/
    cd ..
    rm -rf esound-0.2.41
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
